Package com.usatiuk.objects.stores

# Class SerializingObjectPersistentStore

java.lang.Object
com.usatiuk.objects.stores.SerializingObjectPersistentStore

@ApplicationScoped public class SerializingObjectPersistentStore extends Object

## Constructor Summary

Constructors
Constructor
Description
`SerializingObjectPersistentStore()`

## Method Summary

Modifier and Type
Method
Description
`Snapshot<JObjectKey,JDataVersionedWrapper>`
`getSnapshot()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SerializingObjectPersistentStore

public SerializingObjectPersistentStore()

## Method Details

### getSnapshot

public Snapshot<JObjectKey,JDataVersionedWrapper> getSnapshot()